%define upstream_name    App-Nopaste
%define upstream_version 0.20

Name:       nopaste
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    easy access to any pastebin
License:    GPL+ or Artistic
Group:      Development/Perl
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildRequires: perl(Clipboard)
BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Git)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Getopt)
BuildRequires: perl(Test::More)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(WWW::Pastebin::PastebinCom::Create)
BuildRequires: perl(WWW::Pastebin::RafbNet::Create)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Requires: perl(MooseX::Getopt)

%description
Pastebins (also known as nopaste sites) let you post text, usually code,
for public viewing. They're used a lot in IRC channels to show code that
would normally be too long to give directly in the channel (hence the name
nopaste).

Each pastebin is slightly different. When one pastebin goes down (I'm
looking at you, the http://paste.husk.org manpage), then you have to find a
new one. And if you usually use a script to publish text, then it's too
much hassle.

This module aims to smooth out the differences between pastebins, and
provides redundancy: if one site doesn't work, it just tries a different
one.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/nopaste
/usr/share/man/man1/nopaste.1.lzma


%changelog
* Sun Apr 18 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.1
+ Revision: 536125
- update to 0.20

* Tue Feb 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.190.0-1mdv2010.1
+ Revision: 510067
- update to 0.19

* Thu Dec 31 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.1
+ Revision: 484369
- update to 0.18

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.170.0-1mdv2010.1
+ Revision: 460718
- update to 0.17

* Sat Aug 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-2mdv2010.0
+ Revision: 411625
- adding missing requires:

* Wed Jul 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-1mdv2010.0
+ Revision: 396313
- update to 0.15

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2010.0
+ Revision: 392754
- update to 0.11
- using %%perl_convert_version
- fixed summary & license fields

* Wed Mar 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10-1mdv2009.1
+ Revision: 361076
- other missing prereqs
- adding missing prereqs
- import nopaste


* Tue Mar 24 2009 cpan2dist 0.10-1mdv
- initial mdv release, generated with cpan2dist

